RHEL 4 : xorg-x11 (RHSA-2011:1155)

High Nessus Plugin ID 55825


The remote Red Hat host is missing one or more security updates.


Updated xorg-x11 packages that fix one security issue are now available for Red Hat Enterprise Linux 4.

The Red Hat Security Response Team has rated this update as having important security impact. A Common Vulnerability Scoring System (CVSS) base score, which gives a detailed severity rating, is available from the CVE link in the References section.

X.Org is an open source implementation of the X Window System. It provides the basic low-level functionality that full-fledged graphical user interfaces are designed upon. These xorg-x11 packages also provide the X.Org libXfont runtime library.

A buffer overflow flaw was found in the way the libXfont library, used by the X.Org server, handled malformed font files compressed using UNIX compress. A malicious, local user could exploit this issue to potentially execute arbitrary code with the privileges of the X.Org server. (CVE-2011-2895)

Users of xorg-x11 should upgrade to these updated packages, which contain a backported patch to resolve this issue. All running X.Org server instances must be restarted for the update to take effect.


Update the affected packages.

See Also



Plugin Details

Severity: High

ID: 55825

File Name: redhat-RHSA-2011-1155.nasl

Version: $Revision: 1.12 $

Type: local

Agent: unix

Published: 2011/08/12

Modified: 2017/01/04

Dependencies: 12634

Risk Information

Risk Factor: High


Base Score: 9.3

Temporal Score: 6.9

Vector: CVSS2#AV:N/AC:M/Au:N/C:C/I:C/A:C

Temporal Vector: CVSS2#E:U/RL:OF/RC:C

Vulnerability Information

CPE: p-cpe:/a:redhat:enterprise_linux:xorg-x11, p-cpe:/a:redhat:enterprise_linux:xorg-x11-Mesa-libGL, p-cpe:/a:redhat:enterprise_linux:xorg-x11-Mesa-libGLU, p-cpe:/a:redhat:enterprise_linux:xorg-x11-Xdmx, p-cpe:/a:redhat:enterprise_linux:xorg-x11-Xnest, p-cpe:/a:redhat:enterprise_linux:xorg-x11-Xvfb, p-cpe:/a:redhat:enterprise_linux:xorg-x11-deprecated-libs, p-cpe:/a:redhat:enterprise_linux:xorg-x11-deprecated-libs-devel, p-cpe:/a:redhat:enterprise_linux:xorg-x11-devel, p-cpe:/a:redhat:enterprise_linux:xorg-x11-doc, p-cpe:/a:redhat:enterprise_linux:xorg-x11-font-utils, p-cpe:/a:redhat:enterprise_linux:xorg-x11-libs, p-cpe:/a:redhat:enterprise_linux:xorg-x11-sdk, p-cpe:/a:redhat:enterprise_linux:xorg-x11-tools, p-cpe:/a:redhat:enterprise_linux:xorg-x11-twm, p-cpe:/a:redhat:enterprise_linux:xorg-x11-xauth, p-cpe:/a:redhat:enterprise_linux:xorg-x11-xdm, p-cpe:/a:redhat:enterprise_linux:xorg-x11-xfs, cpe:/o:redhat:enterprise_linux:4

Required KB Items: Host/local_checks_enabled, Host/RedHat/release, Host/RedHat/rpm-list, Host/cpu

Exploit Available: false

Exploit Ease: No known exploits are available

Patch Publication Date: 2011/08/11

Reference Information

CVE: CVE-2011-2895

BID: 49124

OSVDB: 74927

RHSA: 2011:1155